Skip to main content
DELETE
/
v2
/
segments
Delete a Segment
curl --request DELETE \
  --url https://api.lilt.com/v2/segments \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.lilt.com/v2/segments"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.lilt.com/v2/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 46530,
  "deleted": true
}
{
"message": "Internal server error."
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

id
integer
required

A unique Segment identifier.

Response

A status object.

id
integer

A unique Segment identifier.

Example:

46530

deleted
boolean

If the operation succeeded, then true. Otherwise, false.

Example:

true